﻿#globalPlugins/userParams.py - Explore NVDA's user directory

import globalPluginHandler
import addonHandler
import sys
import os
addonHandler.initTranslation()

class GlobalPlugin(globalPluginHandler.GlobalPlugin):

	def script_userParams(self, gesture):
		import config
		path=config.getUserDefaultConfigPath()
		if not path:
			raise ValueError("no user default config path")
		config.initConfigPath(path)
		import shellapi
		import winUser
		shellapi.ShellExecute(0,None,path,None,None,winUser.SW_SHOWNORMAL)
	script_userParams.__doc__=_("Open user directory.")

	__gestures = {
		"kb:NVDA+Shift+p": "userParams",
	}
